Bug 1309477 - [RFE] add proxy support to azure-armrest
[RFE] add proxy support to azure-armrest
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Daniel Berger
Jeff Teehan
: FutureFeature, ZStream
Depends On:
Blocks: 1314835
  Show dependency treegraph
Reported: 2016-02-17 17:41 EST by Colin Arnott
Modified: 2016-11-07 23:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1314835 (view as bug list)
Last Closed: 2016-06-29 11:38:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Colin Arnott 2016-02-17 17:41:15 EST
Description of problem:
At the moment there's no way to specify a proxy for http requests in the azure-armrest gem.

Version-Release number of selected component (if applicable):

Additional info:
This RFE is mirrored on the upstream manageiq github site:
Comment 2 Greg Blomquist 2016-02-18 10:08:56 EST
Looks like an update to the armrest gem is in order.
Comment 4 Daniel Berger 2016-02-26 11:43:55 EST
This was added by https://github.com/ManageIQ/azure-armrest/pull/126 and https://github.com/ManageIQ/azure-armrest/pull/128.

It was pushed out as part of release 0.1.1 of the azure-armrest gem.

Now we just need to bump the Gemfile in MIQ to use it.
Comment 5 Colin Arnott 2016-02-26 12:15:44 EST
This support is for http proxies only, not socks proxies?
Comment 8 Daniel Berger 2016-03-03 06:55:54 EST
Colin, the underlying rest-client library should support a socks proxy as well.
Comment 10 Daniel Berger 2016-03-11 13:56:45 EST
This was added in 0.1.1, and ssl configuration support was added in 0.2.0.
Comment 11 Jeff Teehan 2016-04-20 15:31:24 EDT
I configured the http_proxy server fields with the info from our QE proxy server and refreshed all cloud providers.  Worked as expected.  Moving to verified using Beta 2 on
Comment 13 errata-xmlrpc 2016-06-29 11:38:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.